curl --request POST \
--url https://api.zippendo.com/orgs/{orgId}/orders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"orderNumber": "<string>",
"orderChannelId": "<string>",
"orderLines": [
{
"name": "<string>",
"quantity": 123,
"sku": "<string>",
"unitPrice": 1,
"totalPrice": 1,
"currency": "<string>",
"weight": 1,
"weightUnit": "kg",
"variantId": "<string>",
"productId": "<string>",
"imageUrl": "<string>",
"hsCode": "<string>",
"countryOfOrigin": "<string>",
"provinceOfOrigin": "<string>",
"barcode": "<string>",
"requiresShipping": true,
"taxable": true,
"giftCard": true,
"vendor": "<string>"
}
],
"externalId": "<string>",
"customerName": "<string>",
"customerEmail": "jsmith@example.com",
"shippingAddress": {
"name": "<string>",
"address1": "<string>",
"city": "<string>",
"postalCode": "<string>",
"countryCode": "<string>",
"attention": "<string>",
"company": "<string>",
"address2": "<string>",
"province": "<string>",
"provinceCode": "<string>",
"country": "<string>",
"phone": "<string>",
"email": "jsmith@example.com"
},
"totalAmount": 1,
"currency": "<string>",
"notes": "<string>",
"externalData": {}
}
'{
"id": "<string>",
"orderNumber": "<string>",
"orderLines": [
{
"name": "<string>",
"quantity": 123,
"sku": "<string>",
"unitPrice": 1,
"totalPrice": 1,
"currency": "<string>",
"weight": 1,
"weightUnit": "kg",
"variantId": "<string>",
"productId": "<string>",
"imageUrl": "<string>",
"hsCode": "<string>",
"countryOfOrigin": "<string>",
"provinceOfOrigin": "<string>",
"barcode": "<string>",
"requiresShipping": true,
"taxable": true,
"giftCard": true,
"vendor": "<string>"
}
],
"status": "pending",
"orderChannelId": "<string>",
"orgId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"externalId": "<string>",
"customerName": "<string>",
"customerEmail": "<string>",
"shippingAddress": {
"name": "<string>",
"address1": "<string>",
"city": "<string>",
"postalCode": "<string>",
"countryCode": "<string>",
"attention": "<string>",
"company": "<string>",
"address2": "<string>",
"province": "<string>",
"provinceCode": "<string>",
"country": "<string>",
"phone": "<string>",
"email": "jsmith@example.com"
},
"totalAmount": 123,
"currency": "<string>",
"shippingRuleId": "<string>",
"notes": "<string>",
"externalData": {}
}Create a new order for an organization
curl --request POST \
--url https://api.zippendo.com/orgs/{orgId}/orders \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"orderNumber": "<string>",
"orderChannelId": "<string>",
"orderLines": [
{
"name": "<string>",
"quantity": 123,
"sku": "<string>",
"unitPrice": 1,
"totalPrice": 1,
"currency": "<string>",
"weight": 1,
"weightUnit": "kg",
"variantId": "<string>",
"productId": "<string>",
"imageUrl": "<string>",
"hsCode": "<string>",
"countryOfOrigin": "<string>",
"provinceOfOrigin": "<string>",
"barcode": "<string>",
"requiresShipping": true,
"taxable": true,
"giftCard": true,
"vendor": "<string>"
}
],
"externalId": "<string>",
"customerName": "<string>",
"customerEmail": "jsmith@example.com",
"shippingAddress": {
"name": "<string>",
"address1": "<string>",
"city": "<string>",
"postalCode": "<string>",
"countryCode": "<string>",
"attention": "<string>",
"company": "<string>",
"address2": "<string>",
"province": "<string>",
"provinceCode": "<string>",
"country": "<string>",
"phone": "<string>",
"email": "jsmith@example.com"
},
"totalAmount": 1,
"currency": "<string>",
"notes": "<string>",
"externalData": {}
}
'{
"id": "<string>",
"orderNumber": "<string>",
"orderLines": [
{
"name": "<string>",
"quantity": 123,
"sku": "<string>",
"unitPrice": 1,
"totalPrice": 1,
"currency": "<string>",
"weight": 1,
"weightUnit": "kg",
"variantId": "<string>",
"productId": "<string>",
"imageUrl": "<string>",
"hsCode": "<string>",
"countryOfOrigin": "<string>",
"provinceOfOrigin": "<string>",
"barcode": "<string>",
"requiresShipping": true,
"taxable": true,
"giftCard": true,
"vendor": "<string>"
}
],
"status": "pending",
"orderChannelId": "<string>",
"orgId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"externalId": "<string>",
"customerName": "<string>",
"customerEmail": "<string>",
"shippingAddress": {
"name": "<string>",
"address1": "<string>",
"city": "<string>",
"postalCode": "<string>",
"countryCode": "<string>",
"attention": "<string>",
"company": "<string>",
"address2": "<string>",
"province": "<string>",
"provinceCode": "<string>",
"country": "<string>",
"phone": "<string>",
"email": "jsmith@example.com"
},
"totalAmount": 123,
"currency": "<string>",
"shippingRuleId": "<string>",
"notes": "<string>",
"externalData": {}
}JWT access token or API token (prefixed with zipp_)
Organization ID
11Show child attributes
^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$Show child attributes
x >= 03Show child attributes
Default Response
Show child attributes
pending, processing, partially_fulfilled, fulfilled, error, cancelled Show child attributes
Show child attributes